linux-lts-raring: 3.8.0-38.56~precise1 -proposed tracker

Bug #1290512 reported by Kamal Mostafa on 2014-03-10
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-signed
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-raring (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.8.0-38.56~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 10. March 2014 19:25 UTC
kernel-stable-Prepare-package-end:Tuesday, 11. March 2014 19:01 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 11. March 2014 19:01 UTC
ppa-package-testing-start:Tuesday, 11. March 2014 20:01 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 13. March 2014 23:00 UTC
kernel-stable-Verification-testing-start:Friday, 14. March 2014 00:01 UTC
kernel-stable-Certification-testing-start:Friday, 14. March 2014 00:01 UTC
kernel-stable-Security-signoff-start:Friday, 14. March 2014 00:01 UTC
kernel-stable-Regression-testing-start:Friday, 14. March 2014 00:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 18. March 2014 13:01 UTC
kernel-stable-Verification-testing-end:Friday, 21. March 2014 19:01 UTC
kernel-stable-Certification-testing-end:Friday, 21. March 2014 20:01 UTC
kernel-stable-Security-signoff-end:Saturday, 29. March 2014 15:01 UTC
kernel-stable-Promote-to-updates-start:Sunday, 30. March 2014 21:01 UTC
kernel-stable-Promote-to-updates-end:Monday, 31. March 2014 08:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 31. March 2014 10:01 UTC

CVE References

tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-raring (Ubuntu):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Brad Figg (brad-figg) on 2014-03-11
description: updated
Brad Figg (brad-figg) on 2014-03-13
summary: - linux-lts-raring: 3.8.0-38.54~precise1 -proposed tracker
+ linux-lts-raring: 3.8.0-38.56~precise1 -proposed tracker
description: updated
Brad Figg (brad-figg) on 2014-03-13
description: updated
Brad Figg (brad-figg) on 2014-03-13
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Changed in linux-lts-raring (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2014-03-13
description: updated
Brad Figg (brad-figg) on 2014-03-14
description: updated
Para Siva (psivaa) on 2014-03-18
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-03-18
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

Hardware Certification have begun testing this -proposed kernel.

Brad Figg (brad-figg) on 2014-03-21
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

Hardware Certification have completed testing this -proposed kernel. No
regressions were observed.

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2014-03-21
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-03-29
description: updated
Brad Figg (brad-figg) on 2014-03-30
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package linux-lts-raring - 3.8.0-38.56~precise1

---------------
linux-lts-raring (3.8.0-38.56~precise1) precise; urgency=low

  [ Andy Whitcroft ]

  * module signature does not use hash type in older releases

linux-lts-raring (3.8.0-38.55~precise1) precise; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1290512

  [ Tim Gardner ]

  * [Debian] Re-sign modules after debug objcopy
    - LP: #1253155

linux-lts-raring (3.8.0-38.54~precise1) precise; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1290512

  [ Upstream Kernel Changes ]

  * netfilter: nf_nat: fix access to uninitialized buffer in IRC NAT helper
    - LP: #1274684
    - CVE-2014-1690
  * crypto: ansi_cprng - Fix off by one error in non-block size request
    - LP: #1229981
    - CVE-2013-4345
  * xfs: underflow bug in xfs_attrlist_by_handle()
    - LP: #1256091
    - CVE-2013-6382
  * crypto: s390 - fix concurrency issue in aes-ctr mode
    - LP: #1289439
  * crypto: s390 - fix des and des3_ede cbc concurrency issue
    - LP: #1289439
  * crypto: s390 - fix des and des3_ede ctr concurrency issue
    - LP: #1289439
  * [media] mxl111sf: Fix unintentional garbage stack read
    - LP: #1289439
  * [media] mxl111sf: Fix compile when CONFIG_DVB_USB_MXL111SF is unset
    - LP: #1289439
  * [media] af9035: add ID [2040:f900] Hauppauge WinTV-MiniStick 2
    - LP: #1289439
  * arm64: vdso: prevent ld from aligning PT_LOAD segments to 64k
    - LP: #1289439
  * arm64: add DSB after icache flush in __flush_icache_all()
    - LP: #1289439
  * arm64: Invalidate the TLB when replacing pmd entries during boot
    - LP: #1289439
  * arm64: vdso: fix coarse clock handling
    - LP: #1289439
  * arm64: vdso: update wtm fields for CLOCK_MONOTONIC_COARSE
    - LP: #1289439
  * drm/mgag200,ast,cirrus: fix regression with drm_can_sleep conversion
    - LP: #1289439
  * x86, hweight: Fix BUG when booting with CONFIG_GCOV_PROFILE_ALL=y
    - LP: #1289439
  * mm/swap: fix race on swap_info reuse between swapoff and swapon
    - LP: #1289439
  * mm: __set_page_dirty_nobuffers() uses spin_lock_irqsave() instead of
    spin_lock_irq()
    - LP: #1289439
  * mm: __set_page_dirty uses spin_lock_irqsave instead of spin_lock_irq
    - LP: #1289439
  * staging:iio:ad799x fix error_free_irq which was freeing an irq that may
    not have been requested
    - LP: #1289439
  * KVM: return an error code in kvm_vm_ioctl_register_coalesced_mmio()
    - LP: #1289439
  * block: __elv_next_request() shouldn't call into the elevator if
    bypassing
    - LP: #1289439
  * power: max17040: Fix NULL pointer dereference when there is no
    platform_data
    - LP: #1289439
  * s390/dump: Fix dump memory detection
    - LP: #1289439
  * ath9k_htc: make ->sta_rc_update atomic for most calls
    - LP: #1289439
  * ath9k_htc: Do not support PowerSave by default
    - LP: #1289439
  * ar5523: fix usb id for Gigaset.
    - LP: #1289439
  * ath9k: Do not support PowerSave by default
    - LP: #1289439
  * spi: nuc900: Set SPI_LSB_FIRST for master->mode_bits if hw->pdata->lsb
    is true
    - LP: #1289439
  * usb: ftdi_sio: add Mindstorms EV3 console adapter
  ...

Read more...

Changed in linux-lts-raring (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-03-31
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers